<?php
# Chargement de la partie CAS + lib
include_once("inc.php");
if (isset($_SESSION["bad"])){BAD_SESSION();}

include_once("arena/arena_inc.php");

// Récupération des favoris CT
$favCT=array();
try  {
    $client = WS();
    $result=$client->getFavoris(GetUid());
    $items=objectToArray($result);
    foreach ($items["item"] as $f)  {$favCT[]=$f["urlCT"];}        
} catch (Exception $e) {}

ini_set('error_reporting', E_ALL);
ini_set( "display_errors", 1);

define("BOOKMARK_ADD","BOOKMARK_ADD");
define("BOOKMARK_DEL","BOOKMARK_DEL");

function sendMessage($message,$success)
{
      echo "<html><body>";
      echo "<form id='form2submit' name='form2submit' method='POST' action='".$_GET["callback"]."'>";
      echo "<input name='action'  id='action'  type='hidden' value='".$_GET["action"]."' />";
      echo "<input name='message' id='message' type='hidden' value='".htmlentities($message,ENT_QUOTES,"UTF-8")."' />";
      echo "<input name='success' id='success' type='hidden' value='".$success."' />";
      echo "<input name='id'      id='id'      type='hidden' value='".$_GET["id"]."' />";
      echo "<input name='callbackid'      id='callbackid'      type='hidden' value='".$_GET["callbackid"]."' />";
      echo "</form>";
      echo "<script>";
      echo "document.form2submit.submit();";
      echo "</script>";
      echo "</body></html>";
      die();
}


function success($m) {sendMessage($m,1);}
function error($m)   {sendMessage($m,0);}


if ($_GET['action']==BOOKMARK_ADD) {
    $label              =$_GET['libelle'];
    $url                =$_GET['favurl'];
    $icon               =$_GET['icon'];
    $categorie          ="";

    // Cas où il s'agit d'une URL CT
    if (strpos($url,SEP_SIGAT)!==false)
    {
        $client = new SoapClient(__ARENA_WSIDENTITE);
        $favCT[]=$url;
        $result=$client->setFavoris(GetUid(),$favCT);
        success($label . " a été ajouté à vos favoris");
    } else
    {
        $db = DB(); 
        $db->exec("INSERT INTO bookmark(uid, url) VALUES('".GetUid()."','$url')");
        success($label . " a été ajouté à vos favoris");
    }

    error($label . " n'a pu être ajouté à vos favoris");

}

if ($_GET['action']==BOOKMARK_DEL) {
    $url                =$_GET['favurl'];
    $label              =$_GET['libelle'];

    // Cas où il s'agit d'une URL CT
    if (strpos($url,SEP_SIGAT)!==false)
    {
        $newArr=array();
        foreach ($favCT as $f)
        {
            if ($f != $url) $newArr[]=$f;
        }
        $result=$client->setFavoris(GetUid(),$newArr);
        success($label . " a été supprimé à vos favoris");
    } else
    {
        $db = DB(); 
        $db->exec("DELETE FROM bookmark WHERE uid='".GetUid()."' AND url='".$url."'");
        success($label . " a été supprimé à vos favoris");
    }      

    error($label . " n'a pu être supprimé de vos favoris");
}


?>
